const path = require("path");
const fs = require("fs-extra");
module.exports = async () => {
  let dirList = await fs.readdir(path.join(__dirname, "helpers"));
  let dirs = await Promise.all(
    dirList.map(async dir => {
      return {
        name: dir,
        stat: await fs.stat(path.join(__dirname, "helpers", dir))
      };
    })
  );
  let filteredDirs = dirs.filter(dir => dir.stat.isDirectory());
  return filteredDirs
    .map(dir => ({
      name: dir.name,
      mod: require(path.join(__dirname, "helpers", dir.name, "helper.js"))
    }))
    .reduce((prev, next) => {
      prev[next.name] = next.mod;
      return prev;
    }, {});
};
